Bug 1261166 - Review Request: nodejs-commoner - Tool for translating any dialect of JavaScript to Node CommonJS modules
Review Request: nodejs-commoner - Tool for translating any dialect of JavaScr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 1261165
Blocks: nodejs-reviews 1132858 1239732
  Show dependency treegraph
 
Reported: 2015-09-08 14:31 EDT by Piotr Popieluch
Modified: 2015-10-03 17:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 13:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-09-08 14:31:47 EDT
Spec URL: https://piotrp.fedorapeople.org/nodejs-commoner.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-commoner-0.10.3-1.fc22.src.rpm
Description: Tool for translating any dialect of JavaScript to Node CommonJS modules
Fedora Account System Username: piotrp
Comment 1 Tom Hughes 2015-09-09 16:09:25 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 25 files have unknown license. Detailed
     output of licensecheck in /home/tom/1261166-nodejs-
     commoner/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-commoner-0.10.3-1.fc24.noarch.rpm
          nodejs-commoner-0.10.3-1.fc24.src.rpm
nodejs-commoner.noarch: W: only-non-binary-in-usr-lib
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/mkdirp /usr/lib/node_modules/mkdirp
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/install /usr/lib/node_modules/install
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/commander /usr/lib/node_modules/commander
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/iconv-lite /usr/lib/node_modules/iconv-lite
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/q /usr/lib/node_modules/q
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/graceful-fs /usr/lib/node_modules/graceful-fs
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/glob /usr/lib/node_modules/glob
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/private /usr/lib/node_modules/private
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/recast /usr/lib/node_modules/recast
nodejs-commoner.noarch: W: no-manual-page-for-binary commonize
2 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-commoner.noarch: W: only-non-binary-in-usr-lib
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/install /usr/lib/node_modules/install
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/q /usr/lib/node_modules/q
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/recast /usr/lib/node_modules/recast
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/private /usr/lib/node_modules/private
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/graceful-fs /usr/lib/node_modules/graceful-fs
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/mkdirp /usr/lib/node_modules/mkdirp
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/iconv-lite /usr/lib/node_modules/iconv-lite
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/glob /usr/lib/node_modules/glob
nodejs-commoner.noarch: W: dangling-symlink /usr/lib/node_modules/commoner/node_modules/commander /usr/lib/node_modules/commander
nodejs-commoner.noarch: W: no-manual-page-for-binary commonize
1 packages and 0 specfiles checked; 0 errors, 11 warnings.



Requires
--------
nodejs-commoner (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(commander)
    npm(glob)
    npm(graceful-fs)
    npm(iconv-lite)
    npm(install)
    npm(mkdirp)
    npm(private)
    npm(q)
    npm(recast)



Provides
--------
nodejs-commoner:
    nodejs-commoner
    npm(commoner)



Source checksums
----------------
https://github.com/benjamn/commoner/archive/4c0d8af2028a909bf893a7cb47ca1a47b51dde85.tar.gz#/commoner-4c0d8af.tar.gz :
  CHECKSUM(SHA256) this package     : 1583d7f09e39b863f32e4d2e9a0ff21231bf2b0102f8103a3767a681ae8e0e80
  CHECKSUM(SHA256) upstream package : 1583d7f09e39b863f32e4d2e9a0ff21231bf2b0102f8103a3767a681ae8e0e80


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1261166
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2015-09-09 16:10:10 EDT
There's an rpmlint warning about the lack of a manual page for the command, but other than that it looks fine. Package approved.
Comment 3 Piotr Popieluch 2015-09-09 16:19:57 EDT
Thanks

New Package SCM Request
=======================
Package Name: nodejs-commoner 
Short Description: Tool for translating any dialect of JavaScript to Node CommonJS modules
Upstream URL: https://github.com/benjamn/commoner
Owners: piotrp
Branches: f23 f22 f21 epel7
Comment 4 Gwyn Ciesla 2015-09-10 09:05:27 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-09-22 15:16:47 EDT
nodejs-commoner-0.10.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16451
Comment 6 Fedora Update System 2015-09-22 15:20:38 EDT
nodejs-commoner-0.10.3-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16453
Comment 7 Fedora Update System 2015-09-22 15:57:19 EDT
nodejs-commoner-0.10.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16463
Comment 8 Fedora Update System 2015-09-23 02:57:26 EDT
nodejs-commoner-0.10.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-commoner'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16451
Comment 9 Fedora Update System 2015-09-24 05:53:35 EDT
nodejs-commoner-0.10.3-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-commoner'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16453
Comment 10 Fedora Update System 2015-09-25 17:21:43 EDT
nodejs-commoner-0.10.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-commoner'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16463
Comment 11 Fedora Update System 2015-10-03 13:48:11 EDT
nodejs-commoner-0.10.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-10-03 17:14:45 EDT
nodejs-commoner-0.10.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-10-03 17:51:17 EDT
nodejs-commoner-0.10.3-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.